@use "colors";

/* Copy from attestation.css */
.container {
  font-size: .75em;
  line-height: 1.4em;
  border: 1px solid grey;
  padding: 30px;
}

.img-qrcode {
  height: 10em;
}

p:not(.subtitle), ul {
  margin: 0;
}

p + p, ul + p {
  margin-top: .7em;
}

.demarches {
  font-size: .95em;
}

.demarches + p {
  margin-top: .1em;
}

.organisation-address {
  min-width: 15em;
  display: inline-block;
}

@media print {
  @page {
    size: auto; /* auto is the initial value */
    margin: 1em; /* this affects the margin in the printer settings */
  }
  .no-print,
  .no-print * {
    display: none !important;
  }
  .container {
    border: 0;
    padding: 0;
    margin: 1em;
    width: auto;
  }
}


.navbar__home, .container > h1.text-center {
  /* Hide the header and title on old templates */
  display: none;
}

.container {
  border: none;
}

.mandate-translation-row {
  display: flex;
  flex-direction: row;

  .mandate-translation-column {
    flex: 1 1 0;
    display: flex;
  }
}

header.mandate-translation-row .mandate-translation-column:last-child {
  justify-content: right;
}

.subtitle-container {
  display: flex;
  flex-direction: row;
  margin-bottom: 4rem;
}

.print-button-container .shadowed {
  max-width: 23rem;
  float: right;

  p {
    margin-bottom: 1rem;
  }

  button {
    float: right;
  }
}

ul, ol {
  /* Cancel padding setting from main-habilitation.scss */
  padding: revert;
}

.mandate-translation-other {
  border-left: 1px solid colors.$blue-aidants;
}

.empty-translation-container {
  color: colors.$red-aidants;

  & > * {
    display: block;
    margin: auto;
    text-align: center;
    font-size: initial;
  }

  img {
    margin-bottom: 2rem;
  }

  h4 {
    font-size: large;
    font-weight: bold;
    line-height: 1.25;
    margin-bottom: 1rem;
    text-transform: uppercase;
  }
}
